@import url("https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700&display=swap");


:root {
  --header-height: 3.5rem;

  --first-color: rgb(211, 165, 90);
  --button-color: rgb(180, 149, 99);
  --button-color-alt: rgba(0, 0, 0, 0.829);
  --title-color: rgba(0, 0, 0, 0.973);
  --text-color: rgba(17, 17, 17, 0.5);
  --text-color-light: rgba(114, 114, 114, 0.589);
  --body-color: rgba(229, 226, 226, 0.829);
  --container-color: #fff;
  --border-color: rgb(255, 255, 255);

  --body-font: 'Roboto', sans-serif;
  --biggest-font-size: 2rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  --smaller-font-size: .75rem;

  --font-medium: 500;
  --font-bold: 700;

  

}

@media screen and (min-width: 968px) {
  :root {
    --biggest-font-size: 2.5rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
    --smaller-font-size: .813rem;
  }
}


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body,
button,
input {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

body {
  margin: 0;
  background-color: var(--body-color);
  color: var(--text-color);
  transition: .4s;
}

h1, h2, h3, h4 {
  color: var(--title-color);
  font-weight: var(--font-medium);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  max-width: 100%;
  height: auto;
}

button {
  cursor: pointer;
  border: none;
  outline: none;
}

body.dark-theme {
  --first-color: #F0E68C;
  --button-color: rgb(49, 48, 46);
  --button-color-alt: rgba(43, 42, 42, 0.829);
  --title-color: #fff;
  --text-color: #aaa;
  --body-color: rgb(41, 41, 41);
  --container-color: rgba(32, 31, 31, 0.836);
  --border-color: hsl(0, 0%, 20%);
}


.change-theme {
  color: var(--title-color);
  font-size: 1.25rem;
  cursor: pointer;
}


.dark-theme .change-theme,
.dark-theme .nav__toggle,
.dark-theme .nav__shop,
.dark-theme .button--gray {
  color: #333;
}

.dark-theme .scroll-header {
  box-shadow: 0 1px 4px rgba(51, 51, 51, 0.418);
}

.scroll-header .change-theme,
.scroll-header .nav__toggle,
.scroll-header .nav__shop {
  color: var(--title-color);
}

.dark-theme::-webkit-scrollbar {
  background: rgb(73, 73, 73);
}


.container {
  max-width: 1024px;
  margin-left: 1.5rem;
  margin-right: 1.5rem;
}

.grid {
  display: grid;
}

.main {
  overflow: hidden;
}

.section {
  padding: 6.5rem 0 1rem;
}

.section__title {
  position: relative;
  font-size: var(--h3-font-size);
  margin-bottom: 3rem;
  text-transform: uppercase;
  letter-spacing: 2px;
  text-align: center;
}

.section__title::before {
  content: '';
  position: absolute;
  top: -1rem;
  left: 0;
  right: 0;
  margin: 0 auto;
  width: 67px;
  height: 1px;
  background-color: var(--first-color);
}

/*Header*/


.header {
  width: 100%;
  background: transparent;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  transition: .4s;
}

.nav {
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__logo, 
.nav__toggle, 
.nav__shop, 
.nav__close {
  color: var(--title-color);
}

.nav__logo {
  text-transform: uppercase;
  font-weight: var(--font-bold);
  letter-spacing: 1px;
  display: inline-flex;
  align-items: center;
  column-gap: .25rem;
}

.nav__logo-icon {
  font-size: 1.25rem;
}

.nav__btns {
  display: flex;
  align-items: center;
  column-gap: 1rem;
}

.nav__toggle, 
.nav__shop {
  font-size: 1.25rem;
  cursor: pointer;
}

@media screen and (max-width: 767px) {
  .nav__menu {
    position: fixed;
    background-color: var(--body-color);
    top: 0;
    right: -100%;
    width: 100%;
    height: 100%;
    padding: 6rem 2rem 3.5rem;
    transition: .3s;
  }
}

.nav__list {
  display: flex;
  flex-direction: column;
  align-items: center;
  row-gap: 2rem;
}

.nav__link {
  color: var(--title-color);
  font-weight: var(--font-medium);
  text-transform: uppercase;
  font-size: var(--h2-font-size);
  transition: .3s;
}

.nav__link:hover {
  color: var(--first-color);
}

.nav__close {
  font-size: 2rem;
  position: absolute;
  top: .9rem;
  right: 1.25rem;
  cursor: pointer;
}

.show-menu {
  right: 0;
}

.scroll-header {
  background-color: var(--body-color);
  box-shadow: 0 1px 4px rgba(29, 25, 25, 0.404);
}

.active-link {
  color: var(--first-color);
}

/* HOME */


.home__container {
  position: relative;
  row-gap: 2.5rem;
}

.home__img {
  width: 240px;
}

.home__img-bg {
  background-color: var(--first-color);
  width: 258px;
  height: 430px;
  padding-bottom: 2rem;
  display: flex;
  justify-content: center;
  align-items: flex-end;
  justify-self: flex-end;
  transform: translateX(1.5rem);
}

.home__social {
  position: absolute;
  top: 35%;
  left: -5rem;
  transform: rotate(-90deg);
  display: flex;
  column-gap: 1rem;
}

.home__social-link {
  font-size: var(--smaller-font-size);
  color: var(--text-color-light);
  transition: .3s;
}

.home__social-link:hover {
  color: var(--title-color);
}

.home__title {
  font-size: var(--biggest-font-size);
  font-weight: var(--font-bold);
  margin-bottom: 1rem;
}

.home__description {
  margin-bottom: 1.5rem;
}

.home__price {
  display: inline-block;
  font-size: var(--h2-font-size);
  font-weight: var(--font-medium);
  color: var(--first-color);
  margin-bottom: 3rem;
}

.home__btns {
  display: flex;
  align-items: center;
}

.home__button {
  box-shadow: 0 12px 24px rgba(34, 34, 34, 0.144);
}

.button {
  display: inline-block;
  background-color: var(--button-color);
  color: #FFF;
  padding: 1.25rem 2rem;
  font-weight: var(--font-medium);
  transition: .3s;
}

.button:hover {
  background-color: var(--button-color-alt);
}

.button--gray {
  background-color: hsl(0, 0%, 75%);
  color: var(--title-color);
}

.button--gray:hover {
  background-color: hsl(0, 0%, 63%);
}

.button--small {
  padding: 1rem 1.5rem;
}

/* FEATURED */


.featured__container {
  row-gap: 2.5rem;
}

.featured__card {
  position: relative;
  text-align: center;
  background-color: var(--container-color);
  padding-top: 2rem;
  border: 1px solid var(--border-color);
  overflow-y: hidden;
  transition: .3s;
}

.featured__tag {
  background-color: var(--first-color);
  padding: .5rem 1rem;
  color: #000;
  text-transform: uppercase;
  font-size: var(--small-font-size);
  font-weight: var(--font-medium);
  position: absolute;
  transform: rotate(-90deg);
  left: -1rem;
  top: 3rem;
}

.featured__img {
  height: 214px;
  margin-bottom: 1rem;
}

.featured__title, 
.featured__price {
  font-size: var(--h3-font-size);
  font-weight: var(--font-bold);
}

.featured__title {
  text-transform: uppercase;
  margin-bottom: .75rem;
}

.featured__price {
  display: block;
  color: var(--first-color);
  transition: .3s;
}

.featured__button {
  font-size: var(--small-font-size);
  transform: translateY(1rem);
  opacity: 0;
}

.featured__card:hover {
  box-shadow: 0 12px 32px rgba(68, 68, 68, 0.212);
  padding: 2rem 0 3rem 0;
}

.featured__card:hover .featured__button {
  transform: translateY(0);
  opacity: 1;
}

.featured__card:hover .featured__price {
  margin-bottom: 1.5rem;
}

/* STORY */

.story__container {
  row-gap: 7.5rem;
}

.story__title {
  font-size: var(--h1-font-size);
  margin-bottom: 1rem;
}

.story__description {
  margin-bottom: 2.5rem;
}

.story__images {
  position: relative;
}

.story__img, 
.story__square {
  width: 250px;
}

.story__square {
  height: 250px;
  background-color: var(--first-color);
}

.story__img {
  position: absolute;
  left: 3rem;
  top: -3rem;
}

/* PRODUCTS */

.products__container {
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
}

.products__card {
  position: relative;
  background-color: var(--container-color);
  padding: 1.25rem 0;
  border: 1px solid var(--border-color);
  text-align: center;
  transition: .3s;
}

.products__img {
  height: 125px;
  margin-bottom: 1rem;
}

.products__title, 
.products__price {
  font-size: var(--small-font-size);
  font-weight: var(--font-medium);
}

.products__title {
  text-transform: uppercase;
  margin-bottom: .5rem;
}

.products__price {
  color: var(--first-color);
}

.products__button {
  background-color: var(--button-color);
  padding: .4rem;
  color: #fff;
  font-size: 1rem;
  position: absolute;
  right: 0;
  bottom: 0;
  transition: .3s;
}

.products__button:hover {
  background-color: var(--button-color-alt);
}

.products__card:hover {
  box-shadow: 0 8px 32px hsla(0, 0%, 10%, .1);
}

/* TESTIMONIAL */

.testimonial__container {
  row-gap: 4rem;
}

.testimonial__quote {
  display: inline-flex;
  background-color: var(--container-color);
  padding: .5rem .75rem;
  font-size: 1.5rem;
  color: var(--first-color);
  box-shadow: 0 4px 12px rgba(68, 68, 68, 0.212);
  margin-bottom: 2rem;
}

.testimonial__description {
  margin-bottom: 1rem;
}

.testimonial__date {
  font-size: var(--normal-font-size);
  margin-bottom: 2rem;
}

.testimonial__perfil {
  display: flex;
  align-items: center;
  column-gap: 1rem;
  margin-bottom: 7rem;
}

.testimonial__perfil-img {
  width: 60px;
  height: 60px;
  border-radius: 3rem;
}

.testimonial__perfil-data {
  display: flex;
  flex-direction: column;
  row-gap: .5rem;
}

.testimonial__perfil-name {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
  color: var(--title-color);
}

.testimonial__perfil-detail {
  font-size: var(--small-font-size);
}

.testimonial__images {
  position: relative;
}

.testimonial__img, 
.testimonial__square {
  width: 250px;
}

.testimonial__square {
  height: 250px;
  background-color: var(--first-color);
  margin-left: auto;
}

.testimonial__img {
  position: absolute;
  right: 2rem;
  top: 3rem;
}

.testimonial-swiper {
  margin-left: initial;
  margin-right: initial;
}

.prev:after,
.next:after {
  content: '';
}

.next,
.prev {
  top: initial;
  bottom: 5%;
  width: initial;
  height: initial;
  background-color: var(--container-color);
  box-shadow: 0 4px 12px rgba(68, 68, 68, 0.212);
  padding: .25rem;
  font-size: 1.5rem;
  color: var(--first-color);
}

.next {
  right: initial;
  left: 4rem;
}

/* NEW PRODUCT*/

.new__card {
  position: relative;
  text-align: center;
  background-color: var(--container-color);
  padding-top: 2rem;
  border: 1px solid var(--border-color);
  overflow-y: hidden;
  transition: .3s;
}

.new__tag {
  background-color: var(--first-color);
  padding: .5rem .7rem;
  color: #000;
  text-transform: uppercase;
  font-size: var(--small-font-size);
  font-weight: var(--font-medium);
  position: absolute;
  top: 1rem;
  right: 1rem;
  transition: .3s;
}

.new__img {
  height: 215px;
  margin-bottom: 1rem;
}

.new__title, 
.new__price {
  font-size: var(--h3-font-size);
  font-weight: var(--font-bold);
}

.new__title {
  text-transform: uppercase;
  margin-bottom: .75rem;
}

.new__price {
  display: block;
  color: var(--first-color);
  transition: .3s;
}

.new__button {
  font-size: var(--small-font-size);
  transform: translateY(1rem);
  opacity: 0;
}

.new__card:hover {
  background-color: var(--first-color);
  box-shadow: 0 12px 32px rgba(68, 68, 68, 0.212);
  padding: 2rem 0 2rem 0;
}

.new__card:hover .new__tag {
  background-color: var(--button-color);
  color: #fff;
}

.new__card:hover .new__button {
  transform: translateY(0);
  opacity: 1;
}

.new__card:hover .new__title {
  color: #333;
}

.new__card:hover .new__price {
  color: #333;
  margin-bottom: 1.5rem;
}
.swiper-pagination{
  position: relative;
  margin-top: 5rem;
}

.swiper-pagination-progressbar .swiper-pagination-progressbar-fill{
  background-color: var(--first-color)!important;
}

.prev-new:after,
.next-new:after {
  content: '';
}

.next-new,
.prev-new {
  margin-top: 11rem;
  position: fill;
  bottom: 5%;
  box-shadow: 0 4px 12px rgba(68, 68, 68, 0.212);
  font-size: 1.5rem;
  background-color: var(--container-color);
  color: var(--first-color);
}

/* NEWSLETTER */
.newsletter__bg {
  background-color: var(--first-color);
  padding: 3rem 1.5rem;
  text-align: center;
  row-gap: 2.5rem;
}

.newsletter__title {
  font-size: var(--h1-font-size);
  color: #333;
  margin-bottom: 1.5rem;
}

.newsletter__description {
  color: hsl(0, 0%, 35%);
}

.newsletter__subscribe {
  display: flex;
  flex-direction: column;
  row-gap: .75rem;
}

.newsletter__input {
  border: none;
  outline: none;
  background-color: hsl(0, 0%, 94%);
  padding: 1.25rem 1rem;
  color: #333;
}

/* FOOTER */
.footer__container {
  row-gap: 2rem;
  border-bottom: 1px solid var(--border-color);
  padding-bottom: 3rem;
}

.footer__title {
  font-size: var(--h2-font-size);
  margin-bottom: 1.5rem;
}

.footer__list, 
.footer__links {
  display: flex;
  flex-direction: column;
  row-gap: .75rem;
}

.footer__link {
  color: var(--text-color);
}

.footer__link:hover {
  color: var(--title-color);
}

.footer__social {
  display: flex;
  column-gap: 1rem;
}

.footer__social-link {
  font-size: 1.25rem;
  color: var(--text-color);
}

.footer__social-link:hover {
  color: var(--title-color);
}

.footer__copy {
  display: block;
  margin: 3.5rem 0 1rem 0;
  text-align: center;
  font-size: var(--h3-font-size);
  color: var(--text-color-light);
}

.footer__copy span {
  color: var(--first-color);
}

/* SCROLL UP */
.scrollup {
  position: fixed;
  right: 1rem;
  bottom: -30%;
  background-color: var(--container-color);
  box-shadow: 0 4px 12px rgba(68, 68, 68, 0.212);
  display: inline-flex;
  padding: .25rem;
  z-index: 10;
  opacity: .8;
  transition: .4s;
}

.scrollup:hover {
  opacity: 1;
}

.scrollup__icon {
  font-size: 1.5rem;
  color: var(--first-color);
}

/* Show Scroll Up*/
.show-scroll {
  bottom: 3rem;
}

/* SCROLL BAR */
::-webkit-scrollbar {
  width: .6rem;
  background: hsl(0, 0%, 74%);
}

::-webkit-scrollbar-thumb {
  background: hsl(0, 0%, 17%);
}

/* CARRITO */

.cart {
  position: fixed;
  background-color: var(--body-color);
  z-index: 100;
  width: 100%;
  height: 100%;
  top: 0;
  right: -100%;
  padding: 3.5rem 2rem;
  transition: .4s;
}

.cart__title-center {
  font-size: var(--h2-font-size);
  text-align: center;
  margin-bottom: 3rem;
}

.cart__close {
  font-size: 2rem;
  color: var(--title-color);
  position: absolute;
  top: 1.25rem;
  right: .9rem;
  cursor: pointer;
}

.cart__container {
  display: grid;
  row-gap: 1.5rem;
}

.cart__card {
  display: flex;
  align-items: center;
  column-gap: 1rem;
}

.cart__box {
  background-color: var(--container-color);
  padding: .75rem 1.25rem;
  border: 1px solid var(--border-color);
}

.cart__img {
  width: 50px;
}

.cart__title {
  font-size: var(--normal-font-size);
  margin-bottom: .5rem;
}

.cart__price {
  display: block;
  font-size: var(--small-font-size);
  color: var(--first-color);
  margin-bottom: 1.5rem;
}

.cart__amount,
.cart__amount-content{
  display: flex;
  align-items: center;
}

.cart__amount{
  column-gap: 3rem;
}

.cart__amount-content{
  column-gap: 1rem;
}

.cart__amount-box {
  display: inline-flex;
  padding: .25rem;
  background-color: var(--container-color);
  border: 1px solid var(--border-color);
  cursor: pointer;
}

.cart__amount-trash {
  font-size: 1.15rem;
  color: var(--first-color);
  cursor: pointer;
}

.cart__prices {
  margin-top: 6rem;
  display: flex;
  justify-content: space-between;
}

.cart__prices-item, 
.cart__prices-total {
  color: var(--title-color);
}

.cart__prices-item {
  font-size: var(--small-font-size);
}

.cart__prices-total {
  font-size: var(--h3-font-size);
  font-weight: var(--font-medium);
}

.show-cart {
  right: 0;
}


/* MEDIA QUERY */

@media screen and (max-width: 320px) {
  .container {
    margin-left: 1rem;
    margin-right: 1rem;
  }
  .home__img-bg {
    width: 220px;
  }
  .home__title {
    font-size: var(--h1-font-size);
  }
  .home__button {
    font-size: var(--smaller-font-size);
  }

  .story__square,
  .story__img,
  .testimonial__square,
  .testimonial__img {
    width: 180px;
  }

  .story__square,
  .testimonial__square {
    height: 180px;
  }

  .products__container {
    grid-template-columns: repeat(1, 180px);
    justify-content: center;
  }
}


@media screen and (min-width: 576px) {
  .home__img-bg {
    width: 340px;
  }

  .featured__container {
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    align-items: flex-start;
    gap: 1.5rem;
  }

  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (min-width: 767px) {
  .section {
    padding: 8rem 0 1rem;
  }

  .cart {
    width: 420px;
    box-shadow: -2px 0 4px rgba(34, 34, 34, 0.11);
  }

  .nav {
    height: calc(var(--header-height) + 1.5rem);
    justify-content: initial;
    column-gap: 3rem;
  }
  .nav__toggle, 
  .nav__close {
    display: none;
  }
  .nav__list {
    flex-direction: row;
    column-gap: 2.5rem;
  }
  .nav__link {
    text-transform: initial;
    font-size: var(--normal-font-size);
  }
  .nav__btns {
    margin-left: auto;
  }

  .home__container {
    padding-top: 6rem;
    grid-template-columns: 1fr max-content;
    align-items: center;
  }
  .home__img-bg {
    order: 1;
    transform: translate(1.5rem, -6rem);
  }
  .home__data {
    padding: 0 0 3rem 6rem;
  }
  .home__social {
    top: 47%;
    column-gap: 2rem;
  }

  .featured__title,
  .featured__price,
  .new__title,
  .new__price {
    font-size: var(--normal-font-size);
  }

  .story__container,
  .testimonial__container,
  .newsletter__bg {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
  }

  .story__section-title {
    text-align: initial;
  }
  .story__section-title::before {
    margin: initial;
  }
  .story__images {
    order: -1;
  }

  .products__container {
    grid-template-columns: repeat(3, 200px);
    justify-content: center;
    gap: 2.5rem;
  }
  .products__card {
    padding: 2rem 0;
  }
  .products__img {
    height: 155px;
  }

  .newsletter__bg {
    text-align: initial;
    column-gap: 2rem;
    padding: 4.5rem;
  }
  .newsletter__subscribe {
    flex-direction: row;
  }
  .newsletter__input {
    width: 100%;
  }

  .footer__container {
    grid-template-columns: repeat(4, max-content);
    justify-content: space-between;
  }
  .footer__title {
    font-size: var(--h3-font-size);
  }
}

@media screen and (min-width: 992px) {
  .section__title {
    font-size: var(--h2-font-size);
  }

  .home__container {
    column-gap: 2rem;
  }
  .home__img-bg {
    width: 480px;
    height: 680px;
  }
  .home__img {
    width: 420px;
  }
  .home__social {
    left: -6rem;
  }
  .home__data {
    padding: 0 0 8rem 6rem;
  }

  .featured__container {
    grid-template-columns: repeat(3, 312px);
    padding-top: 2rem;
  }
  
  .story__container,
  .testimonial__container {
    column-gap: 8rem;
  }

  .story__square,
  .story__img,
  .testimonial__square,
  .testimonial__img {
    width: 450px;
  }

  .story__square,
  .testimonial__square {
    height: 450px;
  }

  .products__container,
  .new__container {
    padding-top: 2rem;
  }

  .testimonial__container {
    padding-bottom: 4rem;
  }
}


@media screen and (min-width: 1024px) {
  .container {
    margin-left: auto;
    margin-right: auto;
  }
  
  .story__container,
  .testimonial__container {
    column-gap: 13rem;
  }

  .story__container {
    padding-top: 3rem;
  }
  .story__img {
    left: 5rem;
    top: -5rem;
  }

  .testimonial__img {
    right: 5rem;
    top: 5rem;
  }

  .scrollup {
    right: 3rem;
  }
}




